# Interface BimChangeLayerData

Information required to create a layer, see BimCoreApiClient.layers and LayerApi.

interface BimChangeLayerData {
data?: unknown;
format: string;
metadata?: Lookup<any>;
name?: string;
}

##### Index

### Properties

data?
format
metadata?
name?

## Properties

### `Optional` `Readonly` data

data?: unknown

Optional layer data. This can be anything; binary, json, files etc. Large amounts of data should be put here. For example, if sensors are stored then information on each sensor should probably be put in this field. Information on the number of sensors is preferably stored in metadata.

### `Readonly` format

format: string

Format of layer. It should represent the type of your layer. For example, if a layer holds sensors, a good format would be 'sensors'.

### `Optional` `Readonly` metadata

metadata?: Lookup<any>

Optional metadata about the layer. Do not put large amounts of data here. Use data instead.

### `Optional` `Readonly` name

name?: string

Name of layer

#### Deprecated

Layer names are now calculated automatically. This value will be ignored.